{
    attributes = (
        {
            columnName = "C2IE_KEY"; 
            externalType = NUMBER; 
            name = c2ieKey; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C2IJ_DATE_JURY"; 
            externalType = DATE; 
            name = c2ijDateJury; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "C2IJ_KEY"; 
            externalType = NUMBER; 
            name = c2ijKey; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "C2IJ_PARITE_JURY"; 
            externalType = NUMBER; 
            name = c2ijPariteJury; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "FANN_KEY"; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (c2ieKey, c2ijDateJury, c2ijKey, c2ijPariteJury, fannKey); 
    className = "org.cocktail.scolaritefwk.serveur.metier.eos.EOScolC2iJury"; 
    classProperties = (
        c2ijDateJury, 
        c2ijPariteJury, 
        "toFwkScolarite_ScolC2iEntete", 
        "toFwkScolarite_ScolFormationAnnee"
    ); 
    externalName = "SCOLARITE.SCOL_C2I_JURY"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_javaClientClassName" = "org.cocktail.scolaritefwk.serveur.client.eos.EOScolC2iJury"; 
    }; 
    name = "FwkScolarite_ScolC2iJury"; 
    primaryKeyAttributes = (c2ijKey); 
    relationships = (
        {
            destination = "FwkScolarite_ScolC2iEntete"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = c2ieKey; sourceAttribute = c2ieKey; }); 
            name = "toFwkScolarite_ScolC2iEntete"; 
        }, 
        {
            destination = "FwkScolarite_ScolFormationAnnee"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fannKey; sourceAttribute = fannKey; }); 
            name = "toFwkScolarite_ScolFormationAnnee"; 
        }
    ); 
}
